// Alarm sketch 1: Print a message 30 seconds after power up

// Here's my alarm handler.  This kind of alarm handler (the simpler
// kind) must always be declared to take a one u32 argument, and to
// return void.
void myAlarmHandler(u32 when) {        
  println("I'm awake already");
}

void setup() {
  int num;
  num = Alarms.create(myAlarmHandler); // Create an alarm, get its number
  Alarms.set(num,30*1000);             // Set it for 30 seconds of uptime
}

void loop() { 
  /* Nothing to do */
}
